#
#  Acis.rsc - sdxResource file for writing ACIS files
#
# History
#  DICC Who When     What
# ----- --- -------- ---------------------------------------------------
# 46860 JTK 26/06/03 Written
# 47990 PEB 01/10/03 Moved from dgk2acis.dev.
# 48818 MIT 26/11/03 Added sdxOptSmoothEdges.
# 50267 MIT 10/03/04 Added sdxOptInvertColourBrightness.
# 50914 MIT 26/04/04 Added sdxOptOutputPolynomialCurves, 
#                    sdxOptOutputNurbCurves and sdxOptOutputPolynomialSurfaces.
#           28/04/04 Added sdxOptConvertToNurbDegreeThree.
# 51163 MIT 13/05/04 Added sdxOptConvertToCubicNonRationalNurbs.
# 51681 MIT 18/06/04 Replaced sdxOptConvertToCubicNonRationalNurbs,
#                    sdxOptConvertToNurbDegreeThree, sdxOptOuputNurbCurves, 
#                    sdxOptOutputPolynomialCurves, 
#                    sdxOptOutputPolynomialSurfaces and 
#                    sdxOptOutputNurbSurfaces with 
#                    sdxOptDefaultSurfaceType, sdxOptDefaultCurveType, 
#                    sdxOptConvertAllSurfaces, sdxOptConvertAllCurves.
#                    Replaced sdxOptOutputPlanesAsNurbs with 
#                    sdxOptConvertPlanes.
#           22/06/04 Replaced sdxOptOutputRevSurfaces with 
#                    sdxOptConvertQuadrics.
#           24/06/04 Added sdxOptConvertAllPCurves and sdxOptConvertAllEdges.
# 51481 MIT 22/07/04 Added sdxOptConvertAnnotation.
# 59440 JTK 20/01/06 Added acsOptRecreateInterpolatedCurves
# 61986 JTK 27/06/06 Raise sdxTolPolygonizeCurve3d
# 63016 JTK 26/09/06 Remove non-default resources
#-----------------------------------------------------------------------
#
# length options: mm,inch,feet,miles,km,m,cm,microns,mils,microinches
# angular options: are deg,rad
# trimming options: 2d, 3d, both, none
# boolean options: true, false
# multiple file options: single, level, entity, face

acsOptRecreateInterpolatedCurves false

sdxTolPolygonizeCurve3d 0.01
sdxTolConicIsParabola 1e-010
sdxOptConvertAllCurves True
sdxOptConvertAllEdges True
sdxOptConvertAllPCurves True
sdxOptConvertAllSurfaces True
sdxOptOuterLoops True
sdxOptSurfacesAsFaces True
sdxOptProcessWireframe False
sdxOptProcessWorkplanes False
sdxOptProcessPoints False
sdxOptProcessTriangles False
