#
#  Autocad.rsc - sdxResource file for reading DXF/DWG files.
#
# History
#
#  DICC Who When     What
# ----- --- -------- ---------------------------------------------------
# 39519 PEB 22/07/02 Written from Vda.rsc.
# 43523 PEB 07/11/02 Removed redundant sdxOptVerbose resource.
# 43540 MIT 19/11/02 Added sdxOptSmoothPCurve
# 44020 PKD 09/12/02 Add sdxOptOutputPlanesAsNurbs
# 44652 JTK 03/02/03 Add sdxOptSurfacesAsFaces
# 44905 JTK 19/02/03 Add sdxOptCloseTriangleMeshes
# 45506 CD  02/04/03 Add sdxOptPolygonizePCurve
# 46723 PEB 03/07/03 Default sdxOptProcessAnnotation to true.
# 46860 JTK 23/06/03 Change sdxOptOutputSurfacesAsNurb
# 47985 JTK 01/10/03 Increase value of sdxTolUniverseSize
# 48818 MIT 26/11/03 Added sdxOptSmoothEdges.
# 49682 JTK 28/01/04 Added sdxOptInputFileUnits
# 50267 MIT 10/03/04 Added sdxOptInvertColourBrightness.
# 50914 MIT 20/04/04 Changed default of sdxOptDoubleGeometricPrecision to 7.
#           26/04/04 Added sdxOptOutputPolynomialCurves, 
#                    sdxOptOutputNurbCurves and sdxOptOutputPolynomialSurfaces.
#           28/04/04 Added sdxOptConvertToNurbDegreeThree.
# 51163 MIT 13/05/04 Added sdxOptConvertToCubicNonRationalNurbs.
# 51523 JTK 08/06/04 Change sdxOptOutputNurbCurves
# 51681 MIT 18/06/04 Replaced sdxOptConvertToCubicNonRationalNurbs,
#                    sdxOptConvertToNurbDegreeThree, sdxOptOuputNurbCurves, 
#                    sdxOptOutputPolynomialCurves,
#                    sdxOptOutputPolynomialSurfaces and 
#                    sdxOptOutputNurbSurfaces with 
#                    sdxOptDefaultSurfaceType, sdxOptDefaultCurveType, 
#                    sdxOptConvertAllSurfaces, sdxOptConvertAllCurves.
#                    Replaced sdxOptOutputPlanesAsNurbs with 
#                    sdxOptConvertPlanes.
#           22/06/04 Replaced sdxOptOutputRevSurfaces with 
#                    sdxOptConvertQuadrics.
#           24/06/04 Added sdxOptConvertAllPCurves and sdxOptConvertAllEdges.
# 51481 MIT 22/07/04 Added sdxOptConvertAnnotation.
# 52568 JTK 19/08/04 Added a2dOptPreferSplineFitData
# 52768 JTK 14/09/04 Added a2dOptExtrudedCurvesAsSurfaces
# 54486 PEB 18/01/05 Added sdxOptProcessTriangles.
# 54294 MIT 06/01/05 Added sdxOptProcessWireframeAsAnnotation.
# 55314 JTK 16/03/05 Added a2dOptRecoverFile
# 60890 MIT 28/04/06 Added sdxOptProcessViews.
# 61325 JTK 24/05/06 Change sdxOptProcessWorkplanes to true
# 61986 JTK 27/06/06 Raise sdxTolPolygonizeCurve3d
# 63016 JTK 26/09/06 Remove non-default resources
#-----------------------------------------------------------------------
#
# length options: mm,inch,feet,miles,km,m,cm,microns,mils,microinches
# angular options: are deg,rad
# trimming options: 2d, 3d, both, none
# boolean options: true, false
# multiple file options: single, level, entity, face

a2dOptPreferSplineFitData false
a2dOptExtrudedCurvesAsSurfaces true
a2dOptRecoverFile false
acsOptRecreateInterpolatedCurves false

sdxTolPolygonizeCurve3d 0.01
sdxTolUniverseSize 1e+006
sdxTolConicIsParabola 1e-010
sdxOptConvertAllSurfaces True
sdxOptOuterLoops True
sdxOptSurfacesAsFaces True
sdxOptProcessAnnotation True
sdxOptProcessViews True
