#
#  Dgk.rsc - sdxResource file for writing DGK files
#
# History
#  DICC Who When     What
# ----- --- -------- ------------------------------------------
# 29742 JTK 08/11/99 Written
# 31386 JTK 22/03/00 Fill in some more resource details
# 31969 JTK 04/05/00 Add sdxTolTriangulate3d
# 32158 PEB 19/05/00 Added sdxTolParamOnEdge, sdxTolZeroDeriv,
#                    sdxOptExplodeSolids and sdxOptExtendEdgeCurves.
# 32607 MDV 23/06/00 Updated the whole lot
# 32634 PKD 27/06/00 Added sdxOptOutputConnectedFaces
# 33034 JTK 31/07/00 Added sdxOptProcessWorkplanes and reversed the sense
#                    of sdxOptIgnoreWireframe/surfaces
# 33311 MDV 23/08/00 Added the sdxOptTrimToBoundaries resource.
# 33544 MDV 08/09/00 Added the sdxOptForceVisible resource.
#                    Added the sdxOptGarbageInGarbageOut resource.
# 33993 PKD 17/10/00 Added sdxOutputRevSurfaces
# 36057 CD  27/04/01 Added sdxOptIgnoreBadFaces and sdxTolLinkCurveParam
# 36549 PHC 07/06/01 Added sdxOptProcessPoints
# 36581 PKD 13/06/01 Enable sdxOptProcessPoints for dgk output
# 36802 PKD 29/06/01 Spell it correctly
# 36804 PHC 29/06/01 Added sdxOptPointsAsCurves
# 36805 JTK 02/07/01 Added sdxTolUniverseSize
# 36849 PHC 06/07/01 Added sdxOptNameMatch
#       PHC 09/07/01 Changed default value of sdxTolUniverseSize to 100,000
# 40916 PKD 26/04/02 Unset sdxOptPointsAsCurves now points officially supported
# 41562 PKD 24/05/02 Remove GIGO and ProcessLevel, Add sdxOptProcessing
# 41913 PEB 19/07/02 Added sdxOptProcessTriangles.
# 43523 PEB 07/11/02 Removed redundant sdxOptVerbose resource.
# 43540 MIT 19/11/02 Added sdxOptSmoothPCurve
# 44020 PKD 09/12/02 Add sdxOptOutputPlanesAsNurbs
# 44652 JTK 03/02/03 Add sdxOptSurfacesAsFaces
# 44905 JTK 19/02/03 Add sdxOptCloseTriangleMeshes
# 45506 CD  02/04/03 Add sdxOptPolygonizePCurve
# 47990 PEB 01/10/03 Moved from dgk2pers.dev.
# 48818 MIT 26/11/03 Added sdxOptSmoothEdges.
# 50267 MIT 10/03/04 Added sdxOptInvertColourBrightness.
# 50914 MIT 26/04/04 Added sdxOptOutputPolynomialCurves, 
#                    sdxOptOutputNurbCurves and sdxOptOutputPolynomialSurfaces.
#           28/04/04 Added sdxOptConvertToNurbDegreeThree.
# 51163 MIT 13/05/04 Added sdxOptConvertToCubicNonRationalNurbs.
# 51681 MIT 18/06/04 Replaced sdxOptConvertToCubicNonRationalNurbs,
#                    sdxOptConvertToNurbDegreeThree, sdxOptOuputNurbCurves, 
#                    sdxOptOutputPolynomialCurves, 
#                    sdxOptOutputPolynomialSurfaces and 
#                    sdxOptOutputNurbSurfaces with 
#                    sdxOptDefaultSurfaceType, sdxOptDefaultCurveType, 
#                    sdxOptConvertAllSurfaces, sdxOptConvertAllCurves.
#                    Replaced sdxOptOutputPlanesAsNurbs with 
#                    sdxOptConvertPlanes.
#           22/06/04 Replaced sdxOptOutputRevSurfaces with 
#                    sdxOptConvertQuadrics.
#           24/06/04 Added sdxOptConvertAllPCurves and sdxOptConvertAllEdges.
# 51481 MIT 22/07/04 Added sdxOptConvertAnnotation.
# 54294 MIT 06/01/05 Changed defaults for sdxOptConvertAnnotation and 
#                    sdxOptProcessAnnotation to true.
# 60890 MIT 28/04/06 Added sdxOptProcessViews.
# 61986 JTK 27/06/06 Raise sdxTolPolygonizeCurve3d
# 63016 JTK 26/09/06 Remove non-default resources
# 64196 JTK 21/12/06 Removed sdxOptConvert/ProcessAnnotation
#-----------------------------------------------------------------------
#
# length options: mm,inch,feet,miles,km,m,cm,microns,mils,microinches
# angular options: are deg,rad
# trimming options: 2d, 3d, both, none
# boolean options: true, false
# multiple file options: single, level, entity, face

sdxTolPolygonizeCurve3d 0.01
sdxTolConicIsParabola 1e-010
sdxOptOuterLoops True
sdxOptSurfacesAsFaces True
sdxOptProcessTriangles False
sdxOptExplodeSolids False
