#
#  Dmt.rsc - sdxResource file for writing DMT triangle files
#
# History
#  DICC Who When     What
# ----- --- -------- ---------------------------------------------------
# 29196 TJH 27/09/99 Written
# 31386 JTK 22/03/00 Fill in some more resource details
# 32158 PEB 19/05/00 Added sdxTolParamOnEdge, sdxTolZeroDeriv,
#                    sdxOptExplodeSolids and sdxOptExtendEdgeCurves.
# 32220 JTK 25/05/00 Change default of sdxTolTriangulate3d to 0.01
# 32607 MDV 23/06/00 Updated the whole lot
# 32634 PKD 27/06/00 Added sdxOptOutputConnectedFaces
# 32772 PKD 06/07/00 Added aspect resources
# 33034 JTK 31/07/00 Added sdxOptProcessWorkplanes and reversed the sense
#                    of sdxOptIgnoreWireframe/surfaces
# 33311 MDV 23/08/00 Added the sdxOptTrimToBoundaries resource.
# 33584 JTK 13/09/00 SdxOptProcessWOrkplane/Wireframe are now false
# 33544 MDV 08/09/00 Added the sdxOptForceVisible resource.
#                    Added the sdxOptGarbageInGarbageOut resource.
# 33993 PKD 17/10/00 Added sdxOptOutputRevSurfaces
# 36057 CD  27/04/01 sdxOptIgnoreBadFaces and sdxTolLinkCurveParam
# 36549 PHC 07/06/01 Added sdxOptProcessPoints
# 36804 PHC 29/06/01 Added sdxOptPointsAsCurves
# 36805 JTK 02/07/01 Added sdxTolUniverseSize
# 36849 PHC 06/07/01 Added sdxOptNameMatch
#       PHC 09/07/01 Changed default value of sdxTolUniverseSize to 100,000
# 41562 PKD 24/05/02 Remove GIGO and ProcessLevel, Add sdxOptProcessing
# 41913 PEB 19/07/02 Added sdxOptProcessTriangles.
# 41963 PEB 19/07/02 Make sdxOptProcessTriangles default to true.
# 41964 PEB 29/10/02 Renamed the d2m resources.
# 43523 PEB 07/11/02 Removed redundant sdxOptVerbose resource.
# 43540 MIT 19/11/02 Added sdxOptSmoothPCurve
# 44020 PKD 09/12/02 Add sdxOptOutputPlanesAsNurbs
# 44652 JTK 03/02/03 Add sdxOptSurfacesAsFaces
# 44905 JTK 19/02/03 Add sdxOptCloseTriangleMeshes
# 45506 CD  02/04/03 Add sdxOptPolygonizePCurve
# 48818 MIT 26/11/03 Added sdxOptSmoothEdges.
# 50484 JTK 18/03/04 Added d2mOptWritePMColourToDMTFiles
# 50267 MIT 19/03/04 Added sdxOptInvertColourBrightness.
# 50914 MIT 26/04/04 Added sdxOptOutputPolynomialCurves, 
#                    sdxOptOutputNurbCurves and sdxOptOutputPolynomialSurfaces.
#           28/04/04 Added sdxOptConvertToNurbDegreeThree.
# 51163 MIT 13/05/04 Added sdxOptConvertToCubicNonRationalNurbs.
# 51681 MIT 18/06/04 Replaced sdxOptConvertToCubicNonRationalNurbs,
#                    sdxOptConvertToNurbDegreeThree, sdxOptOuputNurbCurves, 
#                    sdxOptOutputPolynomialCurves, 
#                    sdxOptOutputPolynomialSurfaces and 
#                    sdxOptOutputNurbSurfaces with 
#                    sdxOptDefaultSurfaceType, sdxOptDefaultCurveType, 
#                    sdxOptConvertAllSurfaces, sdxOptConvertAllCurves.
#                    Replaced sdxOptOutputPlanesAsNurbs with 
#                    sdxOptConvertPlanes.
#           22/06/04 Replaced sdxOptOutputRevSurfaces with 
#                    sdxOptConvertQuadrics.
#           24/06/04 Added sdxOptConvertAllPCurves and sdxOptConvertAllEdges.
# 52085 JTK 20/07/04 Flip the value of d2mOptWritePMColourToDMTFiles to true
# 61986 JTK 27/06/06 Raise sdxTolPolygonizeCurve3d
# 63016 JTK 26/09/06 Remove non-default resources
#-----------------------------------------------------------------------
#
# length options: mm,inch,feet,miles,km,m,cm,microns,mils,microinches
# angular options: are deg,rad
# trimming options: 2d, 3d, both, none
# boolean options: true, false
# multiple file options: single, level, entity, face

d2mOptWritePMColourToDMTFiles true

sdxTolPolygonizeCurve3d 0.01
sdxTolConicIsParabola 1e-010
sdxOptProcessWireframe False
sdxOptProcessWorkplanes False
sdxOptProcessPoints False
sdxOptExplodeSolids False
sdxOptCheckOutput False
