#
#  Iges.rsc - sdxResource file for writing IGES files
#
# History
#  DICC Who When     What
# ----- --- -------- ------------------------------------------
# 29063 TJH 07/09/99 Written
# 31386 JTK 22/03/00 Fill in some more resource details
# 31969 JTK 04/05/00 Add sdxTolTriangulate3d
# 32158 PEB 19/05/00 Added sdxTolParamOnEdge, sdxTolZeroDeriv,
#                    sdxOptExplodeSolids and sdxOptExtendEdgeCurves.
# 32607 MDV 23/06/00 Updated the whole lot
# 32634 PKD 27/06/00 Added sdxOptOutputConnectedFaces
# 33034 JTK 31/07/00 Added sdxOptProcessWorkplanes and reversed the sense
#                    of sdxOptIgnoreWireframe/surfaces
# 33311 MDV 23/08/00 Added the sdxOptTrimToBoundaries resource.
# 33584 JTK 13/09/00 sdxOptProcessWorkplane is now false
# 33544 MDV 08/09/00 Added the sdxOptForceVisible resource.
#                    Added the sdxOptGarbageInGarbageOut resource.
# 33993 PKD 17/10/00 Added sdxOptOutputRevSurfaces
# 35832 JTK 06/04/01 Changed the default value of sdxTolConicIsParabola
# 36057 CD  27/04/01 Added sdxOptIgnoreBadFaces and sdxTolLinkCurveParam
# 36549 PHC 07/06/01 Addes sdxOptProcessPoints
# 36804 PHC 29/06/01 Added sdxOptPointsAsCurves
# 36815 PHC 02/07/01 Changed default value of sdxOptProcessPoints to true
# 36805 JTK 02/07/01 Added sdxTolUniverseSize
# 36849 PHC 06/07/01 Added sdxOptNameMatch
#       PHC 09/07/01 Changed default value of sdxTolUniverseSize to 100,000
# 38228 PKD 19/10/01 Add i2dOptScaleParametersOnIges122
# 38354 PHC 12/10/01 Added d2iOptOutputTopologyAsBREP and
#                    d2iOptOutputTopologyAsIges144 resources
# 41562 PKD 24/05/02 Remove GIGO and ProcessLevel, Add sdxOptProcessing
# 41913 PEB 19/07/02 Added sdxOptProcessTriangles.
# 42050 PKD 25/07/02 Add i2dOptSmoothIges128
# 40676 PHC 30/08/02 Added sdxOptProcessAnnotation.
# 43523 PEB 07/11/02 Removed redundant sdxOptVerbose resource.
# 43540 MIT 19/11/02 Added sdxOptSmoothPCurve
# 44020 PKD 09/12/02 Add sdxOptOutputPlanesAsNurbs
# 44412 PKD 14/01/03 sdxOptOutputPlanesAsNurbs should be true.
# 44652 JTK 03/02/03 Add sdxOptSurfacesAsFaces
# 44905 JTK 19/02/03 Add sdxOptCloseTriangleMeshes
# 45199 MIT 13/03/03 Added i2dOptProcessGroups
# 45506 CD  02/04/03 Add sdxOptPolygonizePCurve
# 46637 MIT 30/06/03 Added i2dOptProcessIndependent142
# 47990 PEB 01/10/03 Moved from dgk2igs.dev.
# 48818 MIT 26/11/03 Added sdxOptSmoothEdges.
# 49703 MIT 06/02/04 Changed default sdxOptProcessAnnotation to true.
# 50267 MIT 10/03/04 Added sdxOptInvertColourBrightness.
# 50663 MIT 08/04/04 Changed sdxOptDoubleGeometricPrecision to 7 (from 6).
#           15/04/04 Changed default value of sdxOptProcessWorkplanes to true.
# 50914 MIT 26/04/04 Added sdxOptOutputPolynomialCurves, 
#                    sdxOptOutputNurbCurves and sdxOptOutputPolynomialSurfaces.
#           28/04/04 Added sdxOptConvertToNurbDegreeThree.
# 51163 MIT 13/05/04 Added sdxOptConvertToCubicNonRationalNurbs.
# 51681 MIT 18/06/04 Replaced sdxOptConvertToCubicNonRationalNurbs,
#                    sdxOptConvertToNurbDegreeThree, sdxOptOuputNurbCurves, 
#                    sdxOptOutputPolynomialCurves, 
#                    sdxOptOutputPolynomialSurfaces and 
#                    sdxOptOutputNurbSurfaces with 
#                    sdxOptDefaultSurfaceType, sdxOptDefaultCurveType, 
#                    sdxOptConvertAllSurfaces, sdxOptConvertAllCurves.
#                    Replaced sdxOptOutputPlanesAsNurbs with 
#                    sdxOptConvertPlanes.
#           22/06/04 Replaced sdxOptOutputRevSurfaces with 
#                    sdxOptConvertQuadrics.
#           24/06/04 Added sdxOptConvertAllPCurves and sdxOptConvertAllEdges.
# 51481 MIT 22/07/04 Added sdxOptConvertAnnotation.
# 54294 MIT 06/01/05 Added sdxOptProcessWireframeAsAnnotation.
# 56841 MIT 07/07/05 Added i2dOptSetOrientationIges508.
# 60890 MIT 28/04/06 Added sdxOptProcessViews.
# 61986 JTK 27/06/06 Raise sdxTolPolygonizeCurve3d
# 63016 JTK 26/09/06 Remove non-default resources
#-----------------------------------------------------------------------
#
# length options: mm,inch,feet,miles,km,m,cm,microns,mils,microinches
# angular options: are deg,rad
# trimming options: 2d, 3d, both, none
# boolean options: true, false
# multiple file options: single, level, entity, face

d2iOptOutputTopologyAsBREP false
d2iOptOutputTopologyAsIges144 false
i2dOptScaleParametersOnIges122 true
i2dOptSmoothIges128 true
i2dOptProcessGroups false
i2dOptProcessIndependent142 false
i2dOptSetOrientationIges508 true

sdxTolPolygonizeCurve3d 0.01
sdxOptConvertQuadrics True
sdxOptConvertPlanes True
sdxOptProcessTriangles False
sdxOptProcessAnnotation True
sdxOptProcessViews True
