#
#  Rhino.rsc - sdxResource file for reading Rhino 3DM files
#
# History
#  DICC Who When     What
# ----- --- -------- ------------------------------------------
# 47099 MIT 21/08/03 Written.
# 48818 MIT 26/11/03 Added sdxOptSmoothEdges.
# 47924 MIT 27/11/03 Added d2rRhinoVersion.
# 49112 MIT 12/12/03 Changed sdxOptProcessTriangles to true.
# 50267 MIT 10/03/04 Added sdxOptInvertColourBrightness.
# 50914 MIT 20/04/04 Changed default of sdxOptDoubleGeometricPrecision to 7.
#           26/04/04 Added sdxOptOutputPolynomialCurves, 
#                    sdxOptOutputNurbCurves and sdxOptOutputPolynomialSurfaces.
#           28/04/04 Added sdxOptConvertToNurbDegreeThree.
# 51163 MIT 13/05/04 Added sdxOptConvertToCubicNonRationalNurbs.
# 51681 MIT 18/06/04 Replaced sdxOptConvertToCubicNonRationalNurbs,
#                    sdxOptConvertToNurbDegreeThree, sdxOptOuputNurbCurves, 
#                    sdxOptOutputPolynomialCurves, 
#                    sdxOptOutputPolynomialSurfaces and 
#                    sdxOptOutputNurbSurfaces with 
#                    sdxOptDefaultSurfaceType, sdxOptDefaultCurveType, 
#                    sdxOptConvertAllSurfaces, sdxOptConvertAllCurves.
#                    Replaced sdxOptOutputPlanesAsNurbs with 
#                    sdxOptConvertPlanes.
#           22/06/04 Replaced sdxOptOutputRevSurfaces with 
#                    sdxOptConvertQuadrics.
#           24/06/04 Added sdxOptConvertAllPCurves and sdxOptConvertAllEdges.
# 51481 MIT 22/07/04 Added sdxOptConvertAnnotation.
# 52806 MIT 23/09/04 Set default for sdxOptProcessAnnotation to true.
# 54294 MIT 06/01/05 Added sdxOptProcessWireframeAsAnnotation.
# 61986 JTK 27/06/06 Raise sdxTolPolygonizeCurve3d
# 63016 JTK 26/09/06 Remove non-default resources
#-----------------------------------------------------------------------
#
# length options: mm,inch,feet,miles,km,m,cm,microns,mils,microinches
# angular options: are deg,rad
# trimming options: 2d, 3d, both, none
# boolean options: true, false
# multiple file options: single, level, entity, face

d2rRhinoVersion  3

sdxTolPolygonizeCurve3d 0.01
sdxOptConvertQuadrics True
sdxOptConvertPlanes True
sdxOptProcessWorkplanes False
sdxOptProcessAnnotation True
