#
#  Step.rsc - sdxResource file for writing Step files
#
# History
#  DICC Who When     What
# ----- --- -------- ------------------------------------------
# 30112 JTK 10/12/99 Written
# 31386 JTK 22/03/00 Fill in some more resource details
# 31969 JTK 04/05/00 Add sdxTolTriangulate3d
# 32158 PEB 19/05/00 Added sdxTolParamOnEdge, sdxTolZeroDeriv,
#                    sdxOptExplodeSolids and sdxOptExtendEdgeCurves.
# 32607 MDV 23/06/00 Updated the whole lot
# 32634 PKD 27/06/00 Added sdxOptOutputConnectedFaces
# 33034 JTK 31/07/00 Added sdxOptProcessWorkplanes and reversed the sense
#                    of sdxOptIgnoreWireframe/surfaces
# 33311 MDV 23/08/00 Added the sdxOptTrimToBoundaries resource.
# 33544 MDV 08/09/00 Added the sdxOptForceVisible resource.
#                    Added the sdxOptGarbageInGarbageOut resource.
# 33993 PKD 17/10/00 Added sdxOptOutputRevSurfaces
# 35427 JTK 23/02/01 Added sdxOptSplitEdgeCurves
# 36057 CD  27/04/01 Added sdxOptIgnoreBadFaces and sdxTolLinkCurveParam
# 36549 PHC 07/06/01 Added sdxOptProcessPoints
# 36804 PHC 29/06/01 Added sdxOptPointsAsCurves
# 36805 JTK 02/07/01 Added sdxTolUniverseSize
# 36876 JTK 06/07/01 Change default value of sdxOptProcessPoints
# 36849 PHC 06/07/01 Added sdxOptNameMatch
#       PHC 09/07/01 Changed default value of sdxTolUniverseSize to 100,000
# 38846 JTK 26/11/01 Added sdxOptInterimFileEntityCount
# 40071 JTK 22/02/02 Added s2dInputFileUnits
# 41562 PKD 24/05/02 Remove GIGO and ProcessLevel, Add sdxOptProcessing
# 41913 PEB 19/07/02 Added sdxOptProcessTriangles.
# 42610 JTK 29/08/02 sdxOptOuterLoops is now false
# 43523 PEB 07/11/02 Removed redundant sdxOptVerbose resource.
# 43540 MIT 19/11/02 Added sdxOptSmoothPCurve
# 44020 PKD 09/12/02 Add sdxOptOutputPlanesAsNurbs
# 44652 JTK 03/02/03 Add sdxOptSurfacesAsFaces
# 44905 JTK 19/02/03 Add sdxOptCloseTriangleMeshes
# 45133 JTK 08/01/03 Added d2sOptOutputSurfaceReplica
# 45506 CD  02/04/03 Add sdxOptPolygonizePCurve
# 48818 MIT 26/11/03 Added sdxOptSmoothEdges.
# 49682 JTK 29/01/04 s2dInputFileUnits -> sdxInputFileUnits
# 50267 MIT 10/03/04 Added sdxOptInvertColourBrightness.
# 50914 MIT 20/04/04 Changed default of sdxOptDoubleGeometricPrecision to 7.
#           26/04/04 Added sdxOptOutputPolynomialCurves, 
#                    sdxOptOutputNurbCurves and sdxOptOutputPolynomialSurfaces.
#           28/04/04 Added sdxOptConvertToNurbDegreeThree.
# 51163 MIT 13/05/04 Added sdxOptConvertToCubicNonRationalNurbs.
# 51681 MIT 18/06/04 Replaced sdxOptConvertToCubicNonRationalNurbs,
#                    sdxOptConvertToNurbDegreeThree, sdxOptOuputNurbCurves, 
#                    sdxOptOutputPolynomialCurves, 
#                    sdxOptOutputPolynomialSurfaces and 
#                    sdxOptOutputNurbSurfaces with 
#                    sdxOptDefaultSurfaceType, sdxOptDefaultCurveType, 
#                    sdxOptConvertAllSurfaces, sdxOptConvertAllCurves.
#                    Replaced sdxOptOutputPlanesAsNurbs with 
#                    sdxOptConvertPlanes.
#           22/06/04 Replaced sdxOptOutputRevSurfaces with 
#                    sdxOptConvertQuadrics.
#           24/06/04 Added sdxOptConvertAllPCurves and sdxOptConvertAllEdges.
# 51481 MIT 22/07/04 Added sdxOptConvertAnnotation.
# 61986 JTK 27/06/06 Raise sdxTolPolygonizeCurve3d
# 61975 JTK 11/07/06 Change sdxOptProcessAnnotation to true
# 63016 JTK 26/09/06 Remove non-default resources
# 64655 JTK 31/01/07 Removed annotation resources
#-----------------------------------------------------------------------
#
# length options: mm,inch,feet,miles,km,m,cm,microns,mils,microinches
# angular options: are deg,rad
# trimming options: 2d, 3d, both, none
# boolean options: true, false
# multiple file options: single, level, entity, face

d2sOptInterimFileEntityCount 3000
d2sOptOutputSurfaceReplica false
d2sOptApplicationProtocol AP214

sdxTolPolygonizeCurve3d 0.01
sdxTolConicIsParabola 1e-010
sdxOptInputFileUnits mm
sdxOptLoopsOnFaces True
sdxOptProcessWorkplanes False
sdxOptProcessTriangles False
