#
#  viewer.rsc - sdxResource file for reading all file types into the viewer
#
# History
#  DICC Who When     What
# ----- --- -------- ---------------------------------------------------
# 44722 JTK 04/02/03 Written
# 45351 JTK 18/03/03 sdxOptProcessBlanked is now true
# 45199 MIT 13/03/03 Added i2dOptProcessGroups
# 45506 CD  25/02/03 Added sdxOPtPolygonizePCurve
# 46744 PEB 04/07/03 Default sdxOptProcessAnnotation true.
# 46637 MIT 30/06/03 Added i2dOptProcessIndependent142
# 48818 MIT 26/11/03 Added sdxOptSmoothEdges.
# 49682 JTK 29/01/04 s2dInputFileUnits -> sdxOptInputFileUnits
# 50267 MIT 10/03/04 Added sdxOptInvertColourBrightness.
# 51163 MIT 13/05/04 Added sdxOptOutputPolynomialCurves, 
#                    sdxOptOutputNurbCurves, sdxOptOutputPolynomialSurfaces,
#                    sdxOptConvertToNurbDegreeThree and 
#                    sdxOptConvertToCubicNonRationalNurbs.
#                    Changed default of sdxOptDoubleGeometricPrecision to 7.
# 51681 MIT 18/06/04 Replaced sdxOptConvertToCubicNonRationalNurbs,
#                    sdxOptConvertToNurbDegreeThree, sdxOptOuputNurbCurves, 
#                    sdxOptOutputPolynomialCurves and 
#                    sdxOptOutputPolynomialSurfaces with 
#                    sdxOptDefaultSurfaceType, sdxOptDefaultCurveType, 
#                    sdxOptConvertAllSurfaces, sdxOptConvertAllCurves.
#                    Replaced sdxOptOutputPlanesAsNurbs with 
#                    sdxOptConvertPlanes and sdxOptOutputNurbSurfaces 
#                    with sdxOptReadAsNurbs.
#           22/06/04 Replaced sdxOptOutputRevSurfaces with 
#                    sdxOptConvertQuadrics.
#           24/06/04 Added sdxOptConvertAllPCurves and sdxOptConvertAllEdges.
# 51481 MIT 22/07/04 Added sdxOptConvertAnnotation.
# 52568 JTK 19/08/04 Added a2dOptPreferSplineFitData
# 52768 JTK 14/09/04 Added a2dOptExtrudedCurvesAsSurfaces
# 54294 MIT 06/01/05 Added sdxOptProcessWireframeAsAnnotation.
# 55314 JTK 16/03/05 Added a2dOptRecoverFile
# 56736 JTK 29/06/05 Added sdxOptSurfacesAsFaces
# 56841 MIT 07/07/05 Added i2dOptSetOrientationIges508.
# 59440 JTK 20/01/06 Added acsOptRecreateInterpolatedCurves
# 60890 MIT 28/04/06 Added sdxOptProcessViews.
# 61986 JTK 27/06/06 Raise sdxTolPolygonizeCurve3d
# 63016 JTK 27/09/06 Remove most resources
# 63764 JTK 23/11/06 Add sdxOptProcessing back in
# 63987 JTK 07/12/06 Add sdxOptUserDefinedScale back in
# 64585 JTK 31/01/07 Moved from sys/misc/resources to sys/schemas/resources
#-----------------------------------------------------------------------
#
# length options: mm,inch,feet,miles,km,m,cm,microns,mils,microinches
# angular options: are deg,rad
# trimming options: 2d, 3d, both, none
# boolean options: true, false
# multiple file options: single, level, entity, face

sdxTolPolygonizeCurve3d 0.01
sdxOptProcessBlanked True
sdxOptReadAsNurbs False
sdxOptProcessAnnotation True
sdxOptProcessViews True
sdxOptInvertColourBrightness  False
sdxTolUniverseSize  1.0e5
sdxOptProcessing normal
sdxOptUserDefinedScale 1